:root {
  --white: #ffffff;
  --red: #ff001d;
  --bg-color: #141414;
  --cinza: #323232;
  --cinza-claro: #f5f5f5;
  --preto-claro: #1e1e1e;
}

@import url("https://fonts.googleapis.com/css2?family=Manrope:wght@200..800&display=swap");
* {
  font-family: "Manrope", sans-serif;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  list-style: none;
  text-decoration: none;
}

body {
  background-color: var(--bg-color);
}

/* ---------------- Menu Hamburguer ---------------- */

#logo {
  width: 120px;
}

#header {
  box-sizing: border-box;
  display: flex;
  align-items: center;
  justify-content: space-between;
  height: 70px;
  z-index: 100000;
}
#menu {
  display: flex;
  gap: 20px;
}
#menu a {
  display: block;
  padding: 0.5rem;
  color: var(--white);
}
#btn-mobile {
  display: none;
}

@media (max-width: 999px) {
  #menu {
    display: block;
    position: absolute;
    width: 100%;
    top: 70px;
    height: 0;
    right: 0;
    background-color: var(--bg-color);
    z-index: 1000;
    transition: 0.6s;
    visibility: hidden;
    overflow-y: hidden;
  }
  #nav.active #menu {
    padding-top: 20px;
    height: 210px;
    visibility: visible;
    transition: 0.6s;
  }
  #menu a {
    padding: 1rem 0;
    margin: 0 2rem;
    border-bottom: 2px solid var(--black);
    font-size: 14px;
  }
  #btn-mobile {
    display: flex;
    font-size: 1rem;
    border: none;
    cursor: pointer;
    background: none;
    background-color: var(--red);
    width: 34px;
    height: 34px;
    border-radius: 5px;
    align-items: center;
    justify-content: center;
  }
  #hamburguer {
    display: block;
    color: var(--white);
    width: 20px;
    border-top: 2px solid;
  }
  #hamburguer::after,
  #hamburguer::before {
    width: 20px;
    height: 2px;
    background-color: currentColor;
    content: "";
    display: block;
    margin-top: 5px;
    transition: 0.6s;
    position: relative;
  }
  #nav.active #hamburguer {
    border-top-color: transparent;
  }
  #nav.active #hamburguer::before {
    transform: rotate(135deg);
  }
  #nav.active #hamburguer::after {
    transform: rotate(-135deg);
    top: -7px;
  }
}

.line {
  display: flex;
  height: 2px;
  width: 100%;
  background-color: #282828;
  border-radius: 10px;
}

/* ---------------- Home ---------------- */

.container-header-and-home {
  background-image: url(/assets/Background.jpg);
  background-position: center center;
  background-repeat: no-repeat;
  background-size: cover;
  height: calc(100vh + 70px);
  border-radius: 0px 0px 32px 32px;
  padding-left: 50px;
  padding-right: 50px;
}

.container-header-and-home h1 {
  font-size: 20px;
  color: var(--white);
  letter-spacing: 2px;
  margin-top: 100px;
  margin-bottom: 140px;
}

#btn-orçamento-home {
  width: 180px;
  height: 40px;
  background-color: var(--red);
  border-radius: 16px;
  border: none;
}

#btn-orçamento-home a {
  color: var(--white);
  font-size: 0.836em;
  display: flex;
  align-items: center;
  justify-content: center;
}

#btn-orçamento-home a img {
  width: 24px;
}

#btn-faleconosco-home {
  box-sizing: border-box;
  width: 180px;
  height: 42px;
  background-color: transparent;
  backdrop-filter: blur(12px);
  border: 2px solid var(--cinza);
  border-radius: 16px;
}

#btn-faleconosco-home a {
  color: var(--white);
  font-size: 0.836em;
  display: flex;
  align-items: center;
  justify-content: center;
}

#btn-faleconosco-home a img {
  width: 24px;
  margin-right: 8px;
}

.bts-home {
  display: flex;
  flex-direction: column;
  gap: 16px;
  align-items: center;
}
/* ---------------- Home ---------------- */

/* ---------------- Serviços / Preços ---------------- */

#container-servicos-all {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 50px;
  margin-top: 50px;
}

.card-wrapper {
  max-width: 1100px;
  margin: 0 60px 35px;
  padding: 20px 10px;
  overflow: hidden;
}

.card-list .card-item {
  width: 280px;
  /*   user-select: none; */
  cursor: pointer;
  height: 250px;
  background-color: var(--preto-claro);
  border-radius: 32px;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: center;
  padding: 18px;
  transition: 0.2s ease;
}

.card-list .card-item:hover {
  border: 1px solid var(--cinza);
}

.car-image {
  width: 200px;
}

.title-card {
  color: var(--white);
  font-size: 14px;
  font-weight: 500;
  margin-right: 8px;
}

.preco {
  color: var(--white);
  text-align: center;
}

.container-title-promo {
  display: flex;
  align-items: center;
  /*   justify-content: space-between;*/
}

.container-promo {
  background-color: var(--red);
  width: 74px;
  height: 28px;
  border-radius: 40px;
  color: var(--white);
  font-size: 10px;
  display: flex;
  align-items: center;
  justify-content: center;
}

#container-reparos {
  background: rgb(255, 0, 29);
  background: linear-gradient(
    148deg,
    rgba(255, 0, 29, 1) 0%,
    rgba(20, 20, 20, 0.7008053221288515) 100%
  );
}

#reparos {
  background-color: var(--bg-color);
}

.card-wrapper .swiper-pagination-bullet {
  height: 13px;
  width: 13px;
  opacity: 0.5;
  background-color: var(--red);
}

.card-wrapper .swiper-pagination-bullet-active {
  opacity: 1;
}

.card-wrapper .swiper-slide-button {
  color: var(--red);
  margin-top: -35px;
}

/* ---------------- Serviços / Preços ---------------- */

/* ---------------- Cards imagens serviços ---------------- */
#container-work {
  margin-bottom: 35px;
}

#container-trabalhos-all {
  margin-bottom: 50px;
  margin-top: 50px;
  background-color: var(--white);
  width: 100%;
  border-radius: 32px;
  display: flex;
  align-items: center;
  justify-content: center;
}

#container-trabalhos-all h1 {
  display: flex;
  color: var(--bg-color);
  justify-content: center;
  font-size: 16px;
  letter-spacing: 4px;
  padding-bottom: 30px;
  padding-top: 30px;
}

.card-work {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  width: 250px;
  height: 270px;
  overflow: hidden;
  position: relative;
  gap: 12px;
}

.card-work img {
  width: 100%;
  /*   object-fit: cover; */
  cursor: pointer;
}

.card-work p {
  font-size: 18px;
  color: var(--bg-color);
  margin-bottom: 20px;
  margin-top: 20px;
  font-weight: 600;
}

.card-work a {
  color: var(--bg-color);
  font-size: 14px;
}

.btn-works {
  border: none;
  background-color: transparent;
  display: flex;
  align-items: center;
  gap: 20px;
  cursor: pointer;
  margin-top: 20px;
}

.card-container {
  display: flex;
  align-items: center;
  justify-content: center;
}

/* ---------------- Cards imagens serviços ---------------- */

/* ---------------- Cards imagens serviços ---------------- */

.container-contatos {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 80px;
  height: 140px;
  max-width: 150px;
  width: 100%;
  border-radius: 36px;
  padding: 40px;
  margin-bottom: 50px;
}

.container-contatos img {
  width: 20px;
}

.container-contatos p {
  color: var(--white);
  font-size: 16px;
  margin-right: 20px;
  margin-left: 20px;
}

.link-contato {
  width: 50px;
  height: 50px;
  border-radius: 16px;
  background-color: var(--white);
  display: flex;
  align-items: center;
  justify-content: center;
}

.link-contato a {
  display: flex;
  align-items: center;
  gap: 16px;
  color: var(--bg-color);
}

.container-footer {
  background-color: var(--red);
  border-radius: 32px;
  padding: 30px;
  color: var(--white);
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  margin: 0 auto;
  align-items: center;
}

.container-footer h1 {
  font-size: 18px;
  font-weight: 800;
  text-align: center;
  margin-bottom: 20px;
}

.text-feature {
  font-size: 14px;
  margin-bottom: 20px;
}

.container-footer img {
  width: 56px;
  margin-bottom: 20px;
}

.container-servicos-footer {
  padding-top: 40px;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
  gap: 2rem;
}

.feature {
  display: flex;
  flex-direction: column;
}

/* .container-servicos-footer div {
  width: 80%;
  margin-right: 30px;
} */

.container-servicos-footer p {
  margin-bottom: 30px;
}

.container-servicos-footer h3 {
  margin-bottom: 15px;
}

.container-btns-footer {
  display: flex;
  flex-direction: row;
  gap: 16px;
  margin-top: 10px;
}

#btn-footer-orcamento {
  background-color: var(--white);
  border: none;
  height: 50px;
  width: 200px;
  border-radius: 16px;
  cursor: pointer;
}

#btn-footer-fale-conosco {
  width: 170px;
  height: 50px;
  background-color: transparent;
  border: 2px solid var(--cinza);
  border-radius: 16px;
  color: var(--white);
  cursor: pointer;
}

footer {
  margin-top: 50px;
  margin-bottom: 50px;
  background-color: var(--preto-claro);
  border-radius: 32px;
  color: var(--white);
  font-size: 14px;
  padding: 36px 33px 36px 33px;
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  align-items: center;
}

footer img {
  width: 30px;
}

.btns-links {
  display: flex;
  align-items: center;
  gap: 16px;
}

.container-links-redes p {
  margin-bottom: 16px;
}

.container-infos-footer div {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 10px;
  margin-bottom: 20px;
}

#direitos {
  text-align: center;
  font-size: 10px;
}

@media (max-width: 768px) {
  .card-wrapper {
    margin: 0 10px 25px;
  }
  .card-wrapper .swiper-slide-button {
    display: none;
  }

  .container-servicos-footer {
    display: flex;
    flex-direction: column;
    max-width: 220px;
  }

  .container-btns-footer {
    flex-direction: column;
    align-items: center;
  }

  .container-footer h1 {
    font-size: 22px;
  }

  .text-feature {
    font-size: 16px;
  }

  .container-infos-footer {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: space-around;
    margin-bottom: 12px;
  }

  footer {
    flex-direction: column;
    align-items: center;
    padding-left: 20px;
    padding-right: 20px;
  }
}

@media (min-width: 1020px) {
  .container-header-and-home h1 {
    font-size: 56px;
    width: 540px;
    margin-top: 180px;
    margin-bottom: 170px;
  }

  .bts-home {
    flex-direction: row;
  }

  .container-footer h1 {
    font-size: 26px;
  }
  .text-feature {
    font-size: 15px;
  }
  .text-why-uct {
    font-size: 16px;
  }
}
